Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Looking for in-person payments?

In-person payments let customers pay directly on a Dintero terminal.

Overview

Merchants can offer customers the flexibility to reserve items online and pay in-person at pickup, accepting any payment method available at the physical location.
Pay in store is only supported for Dintero Checkout Express sessions.It works by setting the payment amount to zero when the customer selects a pay-in-store shipping option.

Pay in store flow (for payer)

When the payer opens the checkout they get the option to select “Pay in-store” after they have entered their customer details, as shown below:
1

Select Pay in-store

Pay in store input
2

Select which store to pay at

Pay in store selected
3

It is possible to add multiple stores to pay at

Pay in store multiple
4

Pay in-store

Pay in store payment

Pay now and pick up in-store

To offer “pay now and pick up in-store,” you must configure 2 shipping options in the session:
  1. One shipping option with “pay in-store” defined
  2. One shipping option without “pay in-store”
Both shipping options must have the same operator value.

Example request

The highlighted lines in the example are needed to enable “pay now and pick up in-store”:
POST https://checkout.dintero.com/v1/sessions-profile
Authorization: Bearer <token>
Content-Type: application/json

{
  "url": {
    "return_url": "https://example.com/accept",
    "callback_url": "https://example.com/callback?method=GET",
    "merchant_terms_url": "https://example.com/terms.html"
  },
  "order": {
    "amount": 10000,
    "currency": "NOK",
    "items": [
      {
        "id": "123",
        "name": "Product 1",
        "quantity": 1,
        "unit_price": 10000
      }
    ],
    "merchant_reference": "string"
  },
  "profile_id": "<PROFILE>",
  "configuration": {
    "active_payment_types": { "enabled": true },
    "dintero": {
      "type": "payment_type",
      "zero": {
        "type": "payment_product_type",
        "enabled": true,
        "payability": "payable"
      }
    }
  },
  "express": {
    "shipping_options": [
      {
        "id": "StoreName.1234",
        "vat": 0,
        "title": "Pay now and pick up in store",
        "amount": 0,
        "line_id": "StoreName.1234_1_pickup",
        "operator": "StoreName",
        "vat_amount": 0,
        "delivery_method": "pick_up",
        "pick_up_address": {
          "country": "NO",
          "first_name": "StoreName",
          "postal_code": "0000",
          "address_line": "Address 1",
          "postal_place": "OSLO",
          "phone_number": "12345678"
        }
      },
      {
        "id": "StoreName.1234",
        "vat": 0,
        "title": "Order and pay in store",
        "amount": 0,
        "line_id": "StoreName.1234_1",
        "operator": "StoreName",
        "vat_amount": 0,
        "delivery_method": "pick_up",
        "pick_up_address": {
          "country": "NO",
          "first_name": "StoreName",
          "postal_code": "0000",
          "address_line": "Address 1",
          "postal_place": "OSLO",
          "phone_number": "12345678"
        },
        "pay_in_store": {
          "type": "full"
        }
      }
    ]
  }
}
Last modified on May 13, 2026